/*
 * RandomNumberDistributionFactoryUnitTest.hpp
 *
 *  Created on: Jan 03, 2011
 *      Author: heber
 */

#ifndef RANDOMNUMBERDISTRIBUTIONFACTORYUNITTEST_HPP_
#define RANDOMNUMBERDISTRIBUTIONFACTORYUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

class RandomNumberDistribution;

class RandomNumberDistributionFactoryTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( RandomNumberDistributionFactoryTest );
  CPPUNIT_TEST ( DistributionTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void DistributionTest();

private:
  RandomNumberDistribution * rndA;
  RandomNumberDistribution * rndA_1;
  RandomNumberDistribution * rndA_2;
};

#endif /* RANDOMNUMBERDISTRIBUTIONFACTORYUNITTEST_HPP_ */
