/*
 * RandomNumberEngineFactoryUnitTest.hpp
 *
 *  Created on: Jan 03, 2011
 *      Author: heber
 */

#ifndef RANDOMNUMBERENGINEFACTORYUNITTEST_HPP_
#define RANDOMNUMBERENGINEFACTORYUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

class RandomNumberEngine;

class RandomNumberEngineFactoryTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( RandomNumberEngineFactoryTest );
  CPPUNIT_TEST ( EngineTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void EngineTest();

private:
  RandomNumberEngine *rndA;
  RandomNumberEngine *rndA_1;
  RandomNumberEngine *rndA_2;
};

#endif /* RANDOMNUMBERENGINEFACTORYUNITTEST_HPP_ */
